質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Python 3.x

    9776questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

vi のインストールエラーについて(python3)

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 231

gengengen

score 3

~~ここに質問の内容を詳しく書いてください。
Anacondaプロンプトにて「vi」をインストールしたいのですが、下記のようにエラーが出てしまいます。

 発生している問題・エラーメッセージ

Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "C:\Users\ユーザー名\AppData\Local\Temp\pip-install-1vqk35kt\sh\setup.py", line 4, in <module>
import sh
File "C:\Users\ユーザー名\AppData\Local\Temp\pip-install-1vqk35kt\sh\sh.py", line 37, in <module>
support." % version)
ImportError: sh 1.11 is currently only supported on linux and osx. please install pbs 0.110 (http://pypi.python.org/pypi/pbs) for windows support.


Command "python setup.py egg_info" failed with error code 1 in C:\Users\ユーザー名\AppData\Local\Temp\pip-install-1vqk35kt\sh\

 試したこと

pip install pbs などしてみたり、検索してみたりしたのですが、まったく原因等がわかりません。初歩的な部分だと思いますが、初心者のためなにとぞご教示いただけませんでしょうか。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • hayataka2049

    2018/11/18 18:34

    anaconda promptがどんな状態のときに(仮想環境のactivateなど)どんなコマンドを打った結果質問文のエラーになったのか教えてください

    キャンセル

  • gengengen

    2018/11/19 00:10

    Anaconda プロンプトのターミナルに「pip install vi」と入力し、エンターを押しました。「vi」をインストールする必要がありまして。

    キャンセル

回答 1

0

ImportError: sh 1.11は現在、linuxとosxでのみサポートされています。 pbs 0.110をインストールしてください (http://pypi.python.org/pypi/pbs) for windows support. 

google翻訳

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/11/19 00:13

    「pip install pbs0.110」と入力したら、「Collecting pbs0.110
    Could not find a version that satisfies the requirement pbs0.110 (from versions: )
    No matching distribution found for pbs0.110」と出てきました。何が何だか…。調べてみたのですが、いまひとつ要領を得ません。

    キャンセル

同じタグがついた質問を見る

  • Python 3.x

    9776questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。